List Applications
curl --request GET \
--url https://identity.sandbox.lerian.net/v1/applications \
--header 'Authorization: Bearer <token>'import requests
url = "https://identity.sandbox.lerian.net/v1/applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://identity.sandbox.lerian.net/v1/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"clientId": "019c96a0-6a10-7abc-d1e2-8c9d0e1f2a3b",
"clientSecret": "019c96a0-6a20-7bcd-e1f2-9d0e1f2a3b4c",
"createdAt": "2025-04-08T08:01:30.000Z",
"description": "Midaz Used By Application X",
"id": "019c96a0-0c0c-7221-8cf3-13313fb60081",
"name": "midaz"
},
{
"clientId": "019c96a0-6b10-7def-a1b2-1f2a3b4c5d6e",
"clientSecret": "019c96a0-6b20-7efa-b1c2-2a3b4c5d6e7f",
"createdAt": "2025-04-07T18:57:57.312Z",
"description": "Fee Used By Application Y",
"id": "019c96a0-6b30-7fab-c1d2-3b4c5d6e7f8a",
"name": "plugin-fees"
}
]{
"code": "IDE-1002",
"title": "No Applications Found",
"message": "No applications were found in the search."
}{
"code": "IDE-0006",
"title": "Internal Server Error",
"message": "The server encountered an unexpected error. Please try again later."
}List Applications
Use this endpoint to list all applications you created to connect with Lerian products using M2M credentials.
GET
/
v1
/
applications
List Applications
Authorizations
The authorization token in the 'Bearer ' format.
Response
The list all applications that you have created to connect with Lerian's application.
Unique identifier of the client.
Secret key linked to the clientId, used for secure client authentication.
Timestamp marking when the application was created.
A clear identifier that helps you quickly recognize which service, job, or integration uses the application.
Unique identifier of the application.
The Lerian product or plugin this machine-to-machine application can access.
Was this page helpful?
⌘I

